#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.9.1.0
visibility:           public
id:                   ghcide-1.9.1.0-JASI2wDFIoq9vZzNSDgvxU
key:                  ghcide-1.9.1.0-JASI2wDFIoq9vZzNSDgvxU
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  10506328b9fe8514bc55dac25913d32b
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ghcide-1.9.1.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ghcide-1.9.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.9.1.0-JASI2wDFIoq9vZzNSDgvxU
depends:
    Diff-0.4.1-2DsgqfSsfS9CfQcgbpr7Ui
    Glob-0.10.2-52gB8Lued849JYZvtY0d89
    aeson-2.1.2.1-7MxCVi0kerx5YLDSk2pLUu
    aeson-pretty-0.8.10-B0lAR5Lz3zsCidX6cet5zQ array-0.5.4.0
    async-2.2.5-E2Nvh3WkFMk4pawohHisBC base-4.16.4.0
    base16-bytestring-1.0.2.0-76eymd6MufwE29P3zGwRzk binary-0.8.9.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-6iepj2tDmcw8EsjS9ZrC5G
    co-log-core-0.3.2.1-1fYdadneOrvA10XQhZIFfI containers-0.6.5.1
    cryptohash-sha1-0.11.101.0-GJQFTVkheVk9lXYRrNgvAJ
    data-default-0.7.1.1-LSJh75QrCu1H2SWBLBb1YB deepseq-1.4.6.1
    dependent-map-0.4.0.0-KFLsCgUAaMM4RjXuobHrKx
    dependent-sum-0.7.2.0-MN3Mq2diEMBo7E4ShJUEz directory-1.3.6.2
    dlist-1.0-HCxoMn9TirQDgPCFxho7O
    enummapset-0.7.2.0-2sMP3uvI1xDJoWX2iENHfc exceptions-0.10.4
    extra-1.7.14-6ECMKZmdBCZCQG42VBZGH0 filepath-1.4.2.2
    fingertree-0.1.5.0-EU7JYZ2JN1AGuMFCVndWuS
    focus-1.0.3.2-FWjZdYkIKs76t6ifFeMJ1P ghc-9.2.8 ghc-boot-9.2.8
    ghc-boot-th-9.2.8 ghc-check-0.5.0.8-IJWglR2XdEKHlx5mXgXu46
    ghc-paths-0.1.0.12-KU8OzVy7s6GithbR4F0cp
    ghc-trace-events-0.1.2.8-AXrbrbo7fa5AubaYk3VnX7
    haddock-library-1.11.0-7ntoBJehehT9vW2gxS8Q6o
    hashable-1.4.3.0-CcD3sjCyxJjIKHS9bT8WC1
    hie-bios-0.11.0-2DjL0DkWthf5XN6xCvgexA
    hie-compat-0.3.0.0-J18lPJVEz9RKJxYK1ST1Nn
    hiedb-0.4.2.0-IGgLubf6tDs9M9OPmCJrwh
    hls-graph-1.9.0.0-KSn2uMixLYn51FyLgOO8ud
    hls-plugin-api-1.6.0.0-5rFsRcNxg6h4iGpc0gp2GB
    hslogger-1.3.1.0-ARP3vL2LoHu4xujXM5GGue
    implicit-hie-0.1.2.7-BWghWZ9oLTPEO6in305R4d
    implicit-hie-cradle-0.5.0.1-LIlE2dvMcvJJqaTpy0s3cp
    lens-5.2.3-FNkYU5E5R9aJRCIGH5TmfH
    list-t-1.0.5.4-EElBG3sJmzVCDVVRwLKBmx
    lsp-1.6.0.0-IPsooutMutw131GDLM13l0
    lsp-types-1.6.0.0-KnZXj2yu33g5W0Yle9Ivrp mtl-2.2.2
    opentelemetry-0.8.0-GHVw7MuhMATCFZdDS53TRA
    optparse-applicative-0.17.1.0-HdCEVmKoTQ5GAljNy1HSZt
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-6zcUql76AN533j56n6Lf6I
    prettyprinter-ansi-terminal-1.1.3-6z5lD6wf9XIEUjGKNvmaDB
    random-1.2.1.2-HuilZN3oosRCcl1kUNb1cn
    regex-tdfa-1.3.2.2-7T4dQxeDDSEFjrz9fGodBZ
    safe-exceptions-0.1.7.4-F9n67qY3MBOGk5vfGDJHcw
    sorted-list-0.2.2.0-DIGSsNhF5MY4ejui10GKCQ
    sqlite-simple-0.4.19.0-9qvSsMHXE4oATFMo20sCl7 stm-2.5.0.2
    stm-containers-1.2.0.3-GbzK60oFGMY1MBUjUq89IA
    syb-0.7.2.4-K6o0SZXz7fjG81XrpjawRT text-1.2.5.0
    text-rope-0.2-EV1dxgtOb4ECsdGqGbiH6m time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.25.0-9SldoQQ4wUo5OsNuvhhgYz
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-47hukrr2IXRFDwJY5DTAr2
    vector-0.13.1.0-AXstUsf4rEVFm5YPigldNP

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

